Subject: Re: Your order 52641565

From: Stephen Ovington <[email-masked]>
Date: Wed, 7 Sep 2016 19:32:56 +0000

hello

I did not manage to collect this order. It was returned to sender as I did not manage to be at a time it could be delivered. How can I arrange for it to be redelivered?

Thanks

Javier

________________________________
From: [email-masked] <[email-masked]>
Sent: 14 May 2015 18:19:50
To: [email-masked]
Subject: Your order 52641565

Dear Javier Romero,

Thank you for ordering products from Power Poppers.

This email serves to confirm we have received your order
and will process it shortly:

Order number:   52641565
Order date:     Thu, 14 May 2015 18:19:50 -0000
Current status: Received OK

Your American Express card will be charged as follows:

Merchant name:      Goran Chemical / DJC Sales
Product(s) ordered: Room odorizer(s)
Amount:             GBP 89.00

Please note that the charge on your statement will be from
Goran Chemical / DJC Sales, not from Power Poppers.
Further be assured that all orders ship in plain, non-descript
packaging. We respect your privacy.

We will ship your product(s) to:

MR JAVIER ROMERO
39A RICHBOURNE TERRACE
LONDON, LONDON
SW8 1AS

UNITED KINGDOM

If the above address is incorrect/incomplete (typos happen),
please let us know right away so that we can correct it before
dispatching your package.

Finally, please know that you can always check real-time status
of your order online without having to contact customer care.
To do so, simply enter your order number (52641565) at:

http://powerpoppers.com/track-my-order

It is also at this page that we publish any current alerts
regarding circumstances that may affect deliveries in your
particular country or area (for example, delays due to holidays,
severe weather incidents or similar). We know your order is
important to you, and we know you like to be informed.

Best regards,

Jens B.

Customer Care
PowerPoppers.com